plot {CMA} | R Documentation

## Probability plot

### Description

A popular way of visualizing the output of classifier is to plot, separately for each class, the predicted probability of each predicted observations for the respective class. For this purpose, the plot area is divided into `K` parts, where `K` is the number of classes. Predicted observations are assigned, according to their true class, to one of those parts. Then, for each part and each predicted observation, the predicted probabilities are plotted, displayed by coloured dots, where each colour corresponds to one class.

### Arguments

`x` | An object of class `cloutput` whose slot `probmatrix` does not contain any missing value, i.e. probability estimations are provided by the classifier.
`main` | A title for the plot (character).

### Value

No return.

### Note

The plot usually only makes sense if a sufficiently large numbers of observations has been classified. This is usually achieved by running the classifier on several `learningsets` with the method `classification`. The output can then be processed via `join` to obtain an object of class `cloutput` to which this method can be applied.

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`cloutput`

[Package CMA version 1.2.0 Index]